import { defineComponent } from 'vue'
import { Vue3Lottie } from 'vue3-lottie'
import AstronautJSON from '../o-full-refresh/datas/data.json'
import styles from './index.module.less'

export default defineComponent({
  name: 'o-loading',
  setup() {
    return () => (
      <div class={styles.loading}>
        <Vue3Lottie  style={{width: '55px', height: '55px'}} animationData={AstronautJSON}></Vue3Lottie>
        <div class={styles.des}>加载中</div>
      </div>
    )
  }
})
