// 管理老师状态
export const manageTeacherType = {
  // CANCEL: '注销',
  LOCKED: '冻结',
  ACTIVATION: '正常'
}
export const goodsType = {
  LIVE: '直播课',
  PRACTICE: '陪练课',
  VIDEO: '视频课',
  VIP: '开通会员',
  MUSIC: '单曲点播',
  ALBUM: '专辑购买',
  PIANO_ROOM: '琴房时长充值',
  ACTI_REGIST: '活动报名'
}

export const returnType = {
  DOING: '审核中',
  PASS: '通过',
  UNPASS: '不通过'
}

export const levelMember = {
  BEGINNER: '入门级',
  ADVANCED: '进阶级',
  PERFORMER: '大师级'
}

export const memberType = {
  MONTH: '月度会员',
  QUARTERLY: '季度会员',
  YEAR_HALF: '半年会员',
  YEAR: '年度会员'
}

export const courseType = {
  NOT_START: '未开始',
  ING: '进行中',
  COMPLETE: '已完成',
  CANCEL: '已取消'
}

export const bizStatus = {
  PRACTICE: '陪练课',
  LIVE: '直播课',
  VIDEO: '视频课',
  MUSIC: '乐谱',
  WITHDRAWAL: '提现',
  LIVE_SHARE: '直播课分润',
  VIDEO_SHARE: '视频课分润',
  MUSIC_SHARE: '乐谱分润',
  VIP_SHARE: '会员分润',
  MALL_SHARE: '商品分润'
}

export const postStatus = {
  WAIT: '待入账',
  FROZEN: '冻结入账 ',
  RECORDED: '已入账 ',
  CANCEL: '取消'
}

// 评测难度
export const difficulty = {
  BEGINNER: '入门级',
  ADVANCED: '进阶级',
  PERFORMER: '大师级'
}

// 考勤状态
export const attType = {
  NORMAL: '正常',
  LATE: '迟到',
  LEAVE: '请假',
  TRUANCY: '旷课',
  UNCALLED: '未点名'
}

// 老师考勤
export const teacherAttType = {
  NORMAL: '正常',
  EXCEPTION: '异常',
  EARLY: '早退',
  LATE: '迟到',
  LEAVE: '请假',
  TRUANCY: '旷课',
  NO_SIGN: '未签到',
  LOCATION_EXCEPTION: '定位异常'
}

// 课程类型
export const courseEmnu = {
  PERCUSSION_SINGLE: '打击乐',
  FLUTE_SINGLE: '长笛',
  SAX_SINGLE: '萨克斯',
  CLARINET_SINGLE: '单簧管',
  TRUMPET_SINGLE: '小号',
  TROMBONE_SINGLE: '长号',
  HORN_SINGLE: '圆号',
  BARITONE_TUBA_SINGLE: '上低音号-大号',
  MUSIC_THEORY: '乐理',
  INSTRUMENTAL_ENSEMBLE: '合奏',
  EUPHONIUM_SINGLE: '上低音号',
  TUBA_SINGLE: '大号'
  // TEST_CLARINET: '测试竖笛'
}

// trainCourseEmnu 训练内容类型
export const trainCourseEmnu = {
  SINGLE: '单技课',
  MUSIC_THEORY: '乐理课',
  INSTRUMENTAL_ENSEMBLE: '合奏课'
}

// 乐团状态
export const orchestraType = {
  DELIVERY: '交付团',
  PROMOTION: '晋升团'
}

// 学年制
export const schoolSystem = {
  fiveYearSystem: '五年制',
  sixYearSystem: '六年制'
}

// 订单状态
export const orderStatus = {
  WAIT_PAY: '待支付',
  PAYING: '支付中',
  PAID: '已付款',
  TIMEOUT: '已关闭',
  FAIL: '支付失败',
  CLOSED: '已关闭',
  REFUNDING: '退款中',
  REFUNDED: '已退款'
}

// 订单类型
export const orderType = {
  VIP: '开通会员',
  ORCHESTRA: '乐团报名'
}

// 发送方式
export const sendType = {
  IMMEDIATELY: '即时发送',
  SCHEDULED: '定时发送'
}

// 发送状态
export const snedStatus = {
  WAIT: '待发送',
  SEND: '已发送',
  DISABLE: '已停用',
  EXPIRE: '已失效'
}

// 测验状态
export const unitTestStatus = {
  D_NO_SUBMIT: '未提交',
  C_ING: '进行中',
  B_NO_PASS: '不合格',
  A_PASS: '合格'
}

// 单位
export const configUnit = {
  MONEY: '元',
  PERCENTAGE: '%'
}